## pgloader 3.6.9

=== Makefile ===
# pgloader build tool
APP_NAME   = pgloader
VERSION    = 3.6.9

# use either sbcl or ccl
CL	   = sbcl

# default to 16 GB of RAM size in the image
DYNSIZE    = 16384

LISP_SRC   = $(wildcard src/*lisp)         \
             $(wildcard src/monkey/*lisp)  \
             $(wildcard src/utils/*lisp)   \
             $(wildcard src/load/*lisp)    \
             $(wildcard src/parsers/*lisp) \
             $(wildcard src/pg-copy/*lisp) \
             $(wildcard src/pgsql/*lisp)   \
             $(wildcard src/sources/*lisp) \
             pgloader.asd

BUILDDIR   = build
LIBS       = $(BUILDDIR)/libs.stamp
QLDIR      = $(BUILDDIR)/quicklisp
MANIFEST   = $(BUILDDIR)/manifest.ql
LATEST     = $(BUILDDIR)/pgloader-latest.tgz

BUNDLEDIST = 2022-02-20
BUNDLENAME = pgloader-bundle-$(VERSION)
BUNDLEDIR  = $(BUILDDIR)/bundle/$(BUNDLENAME)
BUNDLE     = $(BUILDDIR)/$(BUNDLENAME).tgz
BUNDLETESTD= $(BUILDDIR)/bundle/test

ifeq ($(OS),Windows_NT)
EXE           = .exe
COMPRESS_CORE = no
DYNSIZE       = 1024		# support for windows 32 bits
else
EXE =
endif

PGLOADER   = $(BUILDDIR)/bin/$(APP_NAME)$(EXE)
BUILDAPP_CCL  = $(BUILDDIR)/bin/buildapp.ccl$(EXE)
BUILDAPP_SBCL = $(BUILDDIR)/bin/buildapp.sbcl$(EXE)

ifeq ($(CL),sbcl)
BUILDAPP      = $(BUILDAPP_SBCL)
BUILDAPP_OPTS = --require sb-posix                      \
                --require sb-bsd-sockets                \
                --require sb-rotate-byte
CL_OPTS    = --noinform --no-sysinit --no-userinit
else
BUILDAPP   = $(BUILDAPP_CCL)
CL_OPTS    = --no-init
endif

ifeq ($(CL),sbcl)
COMPRESS_CORE ?= $(shell $(CL) --noinform \
                               --quit     \
                               --eval '(when (member :sb-core-compression cl:*features*) (write-string "yes"))')

endif

# note: on Windows_NT, we never core-compress; see above.
ifeq ($(COMPRESS_CORE),yes)
COMPRESS_CORE_OPT = --compress-core
endif

DEBUILD_ROOT = /tmp/pgloader

all: $(PGLOADER)

clean:
	rm -rf $(LIBS) $(QLDIR) $(MANIFEST) $(BUILDAPP) $(PGLOADER) \
		buildapp.log build/bundle/* build/pgloader-bundle* build/quicklisp.lisp docs/_build
	$(MAKE) -C test clean

$(QLDIR)/local-projects/qmynd:
	git clone --depth 1 https://github.com/qitab/qmynd.git $@

$(QLDIR)/local-projects/cl-ixf:
	git clone --depth 1 https://github.com/dimitri/cl-ixf.git $@

$(QLDIR)/local-projects/cl-db3:
	git clone --depth 1 https://github.com/dimitri/cl-db3.git $@

$(QLDIR)/local-projects/cl-csv:
	git clone --depth 1 https://github.com/AccelerationNet/cl-csv.git $@

$(QLDIR)/setup.lisp:
	mkdir -p $(BUILDDIR)
	curl -o $(BUILDDIR)/quicklisp.lisp http://beta.quicklisp.org/quicklisp.lisp
	$(CL) $(CL_OPTS) --load $(BUILDDIR)/quicklisp.lisp                        \
             --load src/getenv.lisp                                               \
             --eval '(quicklisp-quickstart:install :path "$(BUILDDIR)/quicklisp" :proxy (getenv "http_proxy"))' \
             --eval '(quit)'

quicklisp: $(QLDIR)/setup.lisp ;

clones: $(QLDIR)/local-projects/cl-ixf \
        $(QLDIR)/local-projects/cl-db3 \
        $(QLDIR)/local-projects/cl-csv \
        $(QLDIR)/local-projects/qmynd ;

$(LIBS): $(QLDIR)/setup.lisp
	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp                   \
             --eval '(push :pgloader-image *features*)'               \
             --eval '(setf *print-circle* t *print-pretty* t)'        \
             --eval '(push "$(PWD)/" ql:*local-project-directories*)' \
             --eval '(ql:quickload "pgloader")'                       \
             --eval '(quit)'
	touch $@

libs: $(LIBS) ;

$(MANIFEST): $(LIBS)
	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp                \
             --eval '(ql:write-asdf-manifest-file "$(MANIFEST)")'  \
             --eval '(quit)'

manifest: $(MANIFEST) ;

$(BUILDAPP_CCL): $(QLDIR)/setup.lisp
	mkdir -p $(BUILDDIR)/bin
	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp               \
             --eval '(ql:quickload "buildapp")'                   \
             --eval '(buildapp:build-buildapp "$@")'              \
             --eval '(quit)'

$(BUILDAPP_SBCL): $(QLDIR)/setup.lisp
	mkdir -p $(BUILDDIR)/bin
	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp               \
             --eval '(ql:quickload "buildapp")'                   \
             --eval '(buildapp:build-buildapp "$@")'              \
             --eval '(quit)'

buildapp: $(BUILDAPP) ;

$(PGLOADER): $(MANIFEST) $(BUILDAPP) $(LISP_SRC)
	mkdir -p $(BUILDDIR)/bin
	$(BUILDAPP)      --logfile /tmp/build.log                \
                         $(BUILDAPP_OPTS)                        \
                         --sbcl $(CL)                            \
                         --asdf-path .                           \
                         --asdf-tree $(QLDIR)/local-projects     \
                         --manifest-file $(MANIFEST)             \
                         --asdf-tree $(QLDIR)/dists              \
                         --asdf-path .                           \
                         --load-system cffi                      \
                         --load-system cl+ssl                    \
                         --load-system mssql                     \
                         --load src/hooks.lisp                   \
                         --load-system $(APP_NAME)               \
                         --entry pgloader:main                   \
                         --dynamic-space-size $(DYNSIZE)         \
                         $(COMPRESS_CORE_OPT)                    \
                         --output $@.tmp
	# that's ugly, but necessary when building on Windows :(
	mv $@.tmp $@

pgloader: $(PGLOADER) ;

pgloader-standalone:
	$(BUILDAPP)    $(BUILDAPP_OPTS)                        \
                       --sbcl $(CL)                            \
                       --load-system $(APP_NAME)               \
                       --load src/hooks.lisp                   \
                       --entry pgloader:main                   \
                       --dynamic-space-size $(DYNSIZE)         \
                       $(COMPRESS_CORE_OPT)                    \
                       --output $(PGLOADER)
test: $(PGLOADER)
	$(MAKE) PGLOADER=$(realpath $(PGLOADER)) CL=$(CL) -C test regress

save: ./src/save.lisp $(LISP_SRC)
	$(CL) $(CL_OPTS) --load ./src/save.lisp

check-saved:
	$(MAKE) PGLOADER=$(realpath $(PGLOADER)) CL=$(CL) -C test regress

clean-bundle:
	rm -rf $(BUNDLEDIR)
	rm -rf $(BUNDLETESTD)/$(BUNDLENAME)/*

$(BUNDLETESTD):
	mkdir -p $@

$(BUNDLEDIR): quicklisp
	mkdir -p $@
	$(CL) $(CL_OPTS) --load $(QLDIR)/setup.lisp      \
             --eval '(defvar *bundle-dir* "$@")'         \
             --eval '(defvar *pwd* "$(PWD)/")'           \
             --eval '(defvar *ql-dist* "$(BUNDLEDIST)")' \
             --load bundle/ql.lisp

$(BUNDLEDIR)/version.sexp: $(BUNDLEDIR)
	echo "\"$(VERSION)\"" > $@

$(BUNDLE): $(BUNDLEDIR) $(BUNDLEDIR)/version.sexp
	cp bundle/README.md $(BUNDLEDIR)
	cp bundle/save.lisp $(BUNDLEDIR)
	sed -e s/%VERSION%/$(VERSION)/ < bundle/Makefile > $(BUNDLEDIR)/Makefile
	git archive --format=tar --prefix=pgloader-$(VERSION)/ master \
	     | tar -C $(BUNDLEDIR)/local-projects/ -xf -
	make QLDIR=$(BUNDLEDIR) clones
	tar -C build/bundle 		    \
            --exclude bin   		    \
            --exclude test/sqlite           \
            -czf $@ $(BUNDLENAME)

bundle: clean-bundle $(BUNDLE) $(BUNDLETESTD)
	tar -C $(BUNDLETESTD) -xf $(BUNDLE)
	make -C $(BUNDLETESTD)/$(BUNDLENAME)
	$(BUNDLETESTD)/$(BUNDLENAME)/bin/pgloader --version

test-bundle:
	$(MAKE) -C $(BUNDLEDIR) test


deb:
	# intended for use on a debian system
	mkdir -p $(DEBUILD_ROOT) && rm -rf $(DEBUILD_ROOT)/*
	rsync -Ca --exclude 'build'                      		  \
		  --exclude '.vagrant'                   		  \
              ./ $(DEBUILD_ROOT)/
	cd $(DEBUILD_ROOT) && make -f debian/rules orig
	cd $(DEBUILD_ROOT) && debuild -us -uc -sa
	cp -a /tmp/pgloader_* /tmp/cl-pgloader* build/

rpm:
	# intended for use on a CentOS or other RPM based system
	mkdir -p $(DEBUILD_ROOT) && rm -rf $(DEBUILD_ROOT)
	rsync -Ca --exclude=build/* ./ $(DEBUILD_ROOT)/
	cd /tmp && tar czf $(HOME)/rpmbuild/SOURCES/pgloader-$(VERSION).tar.gz pgloader
	cd $(DEBUILD_ROOT) && rpmbuild -ba pgloader.spec
	cp -a $(HOME)/rpmbuild/SRPMS/*rpm build
	cp -a $(HOME)/rpmbuild/RPMS/x86_64/*rpm build

pkg:
	# intended for use on a MacOSX system
	mkdir -p $(DEBUILD_ROOT) && rm -rf $(DEBUILD_ROOT)/*
	mkdir -p $(DEBUILD_ROOT)/usr/local/bin/
	mkdir -p $(DEBUILD_ROOT)/usr/local/share/man/man1/
	cp ./pgloader.1 $(DEBUILD_ROOT)/usr/local/share/man/man1/
	cp ./build/bin/pgloader $(DEBUILD_ROOT)/usr/local/bin/
	pkgbuild --identifier org.tapoueh.pgloader \
	         --root $(DEBUILD_ROOT)            \
	         --version $(VERSION)              \
                 ./build/pgloader-$(VERSION).pkg

latest:
	git archive --format=tar --prefix=pgloader-$(VERSION)/ v$(VERSION) \
        | gzip -9 > $(LATEST)

check: test ;

.PHONY: test pgloader-standalone docs bundle

=== bundle/Makefile ===
# pgloader build tool for bundle tarball
# only supports SBCL
CL = sbcl

APP_NAME   = pgloader
VERSION    = %VERSION%

ifeq ($(OS),Windows_NT)
EXE           = .exe
COMPRESS_CORE = no
DYNSIZE       = 1024		# support for windows 32 bits
else
DYNSIZE       = 16384
EXE =
endif

BUILDDIR   = bin
BUILDAPP   = $(BUILDDIR)/buildapp$(EXE)
PGLOADER   = ./bin/pgloader

SRCDIR = local-projects/pgloader-$(VERSION)

BUILDAPP_OPTS = --require sb-posix                      \
                --require sb-bsd-sockets                \
                --require sb-rotate-byte
CL_OPTS    = --noinform --no-sysinit --no-userinit

COMPRESS_CORE ?= $(shell $(CL) --noinform \
                               --quit     \
                               --eval '(when (member :sb-core-compression cl:*features*) (write-string "yes"))')

ifeq ($(COMPRESS_CORE),yes)
COMPRESS_CORE_OPT = --compress-core
endif

pgloader: $(PGLOADER) ;
buildapp: $(BUILDAPP) ;

$(BUILDAPP):
	mkdir -p $(BUILDDIR)
	$(CL) $(CL_OPTS) --load bundle.lisp                           \
             --eval '(asdf:load-system :buildapp)'                    \
             --eval '(buildapp:build-buildapp "$@")'                  \
             --eval '(quit)'

$(PGLOADER): $(BUILDAPP)
	$(BUILDAPP)      --logfile /tmp/pgloader-bundle-build.log     \
                         $(BUILDAPP_OPTS)                             \
                         --sbcl $(CL)                                 \
                         --asdf-tree .                                \
                         --load-system cffi                           \
                         --load-system cl+ssl                         \
                         --load-system mssql                          \
                         --load $(SRCDIR)/src/hooks.lisp              \
                         --load-system $(APP_NAME)                    \
                         --eval '(setf pgloader.params::*version-string* "$(VERSION)")' \
                         --entry pgloader:main                        \
                         --dynamic-space-size $(DYNSIZE)              \
                         $(COMPRESS_CORE_OPT)                         \
                         --output $@.tmp
	# that's ugly, but necessary when building on Windows :(
	mv $@.tmp $@

test: $(PGLOADER)
	$(MAKE) PGLOADER=$(realpath $(PGLOADER)) -C $(SRCDIR)/test regress

save:
	sbcl --no-userinit --load ./save.lisp

check: test ;

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pgloader
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
Sphinx==4.2.0
sphinx_rtd_theme==1.0.0
docutils==0.16
readthedocs-sphinx-search==0.1.0

=== debian/changelog ===
pgloader (3.6.9-1) unstable; urgency=medium

  * New upstream version.
  * Bump ip4r dependencies to 15. (Closes: #1022296)

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 12:58:09 +0200

pgloader (3.6.8-1) unstable; urgency=medium

  * New upstream version.
  * Depend on libsqlite3-0.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2022 14:24:02 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# get libsqlite3 package name from libsqlite3-dev
LIBSQLITE := $(shell dpkg-query --showformat='$${Depends}' --show libsqlite3-dev | grep -o 'libsqlite[^ ]*')
# make pgloader depend on the libssl package cl-plus-ssl depends on
LIBSSL := $(shell dpkg-query --showformat='$${Depends}' --show cl-plus-ssl | grep -o 'libssl[^ ]*')

BITS = $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)
ifeq ($(BITS),32)
SIZE=1024
else
SIZE=16384
endif

MAKEFILE_VERSION = $(shell awk '/^VERSION/ { print $$3 }' Makefile)
DOC_VERSION = $(shell awk '/^release/ { print $$3 }' docs/conf.py | tr -d "'")
SPECFILE_VERSION = $(shell awk '/^Version/ { print $$2 }' pgloader.spec)
DEBIAN_VERSION = $(shell dpkg-parsechangelog -SVersion | cut -d- -f 1)

# buildd provides a build environment where $HOME is not writable, but the
# CL compilers here will need to fill-in a per-user cache
export HOME = $(CURDIR)/debian/home

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/home
	# sanity checks on version number
	[ "$(MAKEFILE_VERSION)" = "$(DOC_VERSION)" ] # Makefile = docs/conf.py version
	[ "$(MAKEFILE_VERSION)" = "$(SPECFILE_VERSION)" ] # Makefile = pgloader.spec version
	[ "$(MAKEFILE_VERSION)" = "$(DEBIAN_VERSION)" ] # Makefile = debian/changelog version

override_dh_auto_build-indep:
	# do nothing

override_dh_auto_build-arch:
	mkdir -p build/bin
	mkdir -p $(HOME)
	buildapp --require sb-posix						\
		--require sb-bsd-sockets					\
		--load /usr/share/common-lisp/source/cl-asdf/build/asdf.lisp	\
		--asdf-path .							\
		--asdf-tree /usr/share/common-lisp/systems			\
		--load-system asdf-finalizers					\
		--load-system asdf-system-connections				\
		--load-system cffi						\
		--load-system cl+ssl						\
		--load-system mssql						\
		--load src/hooks.lisp						\
		--load-system pgloader						\
		--entry pgloader:main						\
		--dynamic-space-size $(SIZE)					\
		--compress-core							\
		--logfile buildapp.log						\
		--output build/bin/pgloader					\
			|| echo $$? > buildapp.fail
	cat buildapp.log
	test ! -f buildapp.fail
	ls -l build/bin/pgloader
	$(MAKE) -C docs html

override_dh_auto_test:
	PATH=$(CURDIR)/build/bin:$(PATH) debian/tests/testsuite

override_dh_strip override_dh_dwz:
	# do nothing, sbcl doesn't write any debug info

override_dh_installman-arch:
	mkdir -p debian/pgloader/usr/share/man/man1/
	PATH=debian/pgloader/usr/bin:$(PATH) \
	help2man --version-string $(DEB_VERSION_UPSTREAM) \
		--no-info \
		--name "extract, transform and load data into PostgreSQL" \
		pgloader > \
		debian/pgloader/usr/share/man/man1/pgloader.1

override_dh_gencontrol:
	dh_gencontrol -- \
		-V"sqlite:Depends=$(LIBSQLITE)" \
		-V"ssl:Depends=$(LIBSSL)"

%:
	dh $@

## pgloader 3.6.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # pgloader build tool
 APP_NAME   = pgloader
-VERSION    = 3.6.9
+VERSION    = 3.6.10
 
 # use either sbcl or ccl
 CL	   = sbcl

=== test/Makefile ===
TMPDIR ?= /tmp
TESTS = $(wildcard *.load)
OUT   = $(TESTS:.load=.out)

REMOTE = archive.load bossa-all.load bossa.load census-places.load dbf-zip.load
LOCAL  = $(filter-out $(REMOTE:.load=.out),$(OUT))
REGRESS= allcols.load 		    \
         csv-before-after.load 	    \
         csv-districts.load 	    \
         csv-parse-date.load 	    \
         csv-error.load 	    \
         csv-escape-mode.load 	    \
         csv-filename-pattern.load  \
         csv-guess.load             \
         csv-header.load            \
         csv-json.load              \
         csv-keep-extra-blanks.load \
         csv-missing-col.load       \
         csv-non-printable.load     \
         csv-nulls.load             \
         csv-temp.load              \
         csv-trim-extra-blanks.load \
         csv-using-sexp.load        \
         csv.load 		    \
	 copy.load                  \
	 copy-hex.load              \
         dbf.load 		    \
         errors.load 		    \
         fixed.load 		    \
         fields-with-periods.load   \
         ixf.load 		    \
         overflow.load 		    \
         partial.load 		    \
         serial.load 		    \
         udc.load 		    \
         xzero.load

# Those are not included in the tests because CCL doesn't have the cp866
# encoding, and then PostgreSQL 9.6 lacks "create schema if not exists".
#
# dbf-memo.load
# dbf-31.load
# dbf-8b.load

PGLOADER ?= ../build/bin/pgloader
PGSUPERUSER ?= postgres
export DBPATH = sqlite/sqlite.db # needed by sqlite-env.load
export SOURCEFILE = data/2013_Gaz_113CDs_national.txt # needed by csv-districts-env.out

EXTRA_OPTS =
ifneq (,$(findstring ccl,$(CL)))
EXTRA_OPTS = --batch --heap-reserve 150g
endif

regress: clean-out $(addprefix regress/out/, $(REGRESS:.load=.out)) ;

clean clean-out:
	rm -f regress/out/*

local: prepare $(LOCAL)

remote: prepare $(REMOTE:.load=.out)

all: prepare $(OUT)

prepare: bossa.sql
	-dropdb -U $(PGSUPERUSER) pgloader
	-dropdb -U $(PGSUPERUSER) stocks
	-dropdb -U $(PGSUPERUSER) ip4r
	-createuser -U $(PGSUPERUSER) --superuser `whoami`
	createdb -U $(PGSUPERUSER) -O `whoami` pgloader
	createdb -U $(PGSUPERUSER) -O `whoami` stocks
	createdb -U $(PGSUPERUSER) -O `whoami` ip4r
	psql -d pgloader -c 'create schema expected'
	psql -U $(PGSUPERUSER) -d pgloader -c 'create extension ip4r'
	psql -U $(PGSUPERUSER) -d ip4r -c 'create extension ip4r'
	psql -d stocks -f bossa.sql

errors.out: errors.load
	-$(PGLOADER) $<
	@echo

nofile.out: nofile.load
	-$(PGLOADER) $<
	@echo

csv-hstore.out: csv-hstore.load
	@echo skipping $@

# sakila needs preparing a MySQL database too
$(TMPDIR)/sakila-db/sakila-schema.sql: data/sakila-db.zip
	rm -rf $(TMPDIR)/sakila-db
	unzip $< -d $(TMPDIR)

sakila: $(TMPDIR)/sakila-db/sakila-schema.sql
	-dropdb -U $(PGSUPERUSER) sakila
	-createdb -U $(PGSUPERUSER) -O `whoami` sakila
	-echo "DROP DATABASE sakila" | mysql -u root
	echo "SOURCE $(TMPDIR)/sakila-db/sakila-schema.sql" | mysql -u root
	echo "SOURCE $(TMPDIR)/sakila-db/sakila-data.sql"   | mysql -u root

sakila.out: sakila sakila.load
	-$(PGLOADER) sakila.load
	@echo

csv-districts-stdin.out: csv-districts-stdin.load
	cat  data/2013_Gaz_113CDs_national.txt | $(PGLOADER) $^

ifneq (,$(findstring ccl,$(CL)))
regress/out/dbf.out: dbf.load
	@echo "Skipping $@, CCL doesn't have CP850 encoding"
	touch $@
else
	$(PGLOADER) $(EXTRA_OPTS) --regress $<
	touch $@
endif

# General case where we do NOT expect any error
%.out: %.load
	$(PGLOADER) $<
	@echo

# Regression tests
regress/out/%.out: %.load
	$(PGLOADER) $(EXTRA_OPTS) --regress $<
	touch $@

=== debian/changelog ===
pgloader (3.6.10-5) unstable; urgency=medium

  * Bump ip4r dependencies to 18.
  * debian/rules: Remove version number sanity checks, should be done
    upstream.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Oct 2025 13:59:14 +0100

pgloader (3.6.10-4) unstable; urgency=medium

  * Build- and Test-Depend on postgresql-17-ip4r. (Closes: #1082693)
  * Move packaging repository to salsa.debian.org.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Oct 2024 11:44:35 +0100

pgloader (3.6.10-3) unstable; urgency=medium

  * Drop 32-bit architectures, cl-ironclad is reported to be unstable there.
    (Closes: #1077220)

 -- Christoph Berg <myon@debian.org>  Sat, 27 Jul 2024 10:23:33 +0300

pgloader (3.6.10-2) unstable; urgency=medium

  * Limit architectures to those that have sbcl available and working thread
    support (notably, this excludes armel and armhf).

 -- Christoph Berg <myon@debian.org>  Fri, 22 Mar 2024 14:59:27 +0100

pgloader (3.6.10-1) unstable; urgency=medium

  * New upstream version.
  * Bump ip4r dependencies to 16. (Closes: #1052837)

 -- Christoph Berg <myon@debian.org>  Thu, 02 Nov 2023 17:44:07 +0100

=== debian/control ===
Source: pgloader
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Dimitri Fontaine <dim@tapoueh.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 buildapp (>= 1.5),
 cl-abnf,
 cl-alexandria,
 cl-asdf (>= 3.0.3),
 cl-asdf-finalizers,
 cl-asdf-system-connections,
 cl-bordeaux-threads (>= 0.8.3),
 cl-cffi (>= 1:0.12.0),
 cl-command-line-arguments,
 cl-csv (>= 20180712),
 cl-db3 (>= 20200212),
 cl-drakma,
 cl-esrap,
 cl-fad,
 cl-flexi-streams,
 cl-interpol,
 cl-ixf,
 cl-local-time,
 cl-log,
 cl-lparallel,
 cl-markdown,
 cl-md5,
 cl-metabang-bind,
 cl-mssql,
 cl-mustache,
 cl-plus-ssl (>= 20190204),
 cl-postmodern,
 cl-ppcre,
 cl-py-configparser,
 cl-qmynd,
 cl-quri,
 cl-simple-date,
 cl-split-sequence,
 cl-sqlite,
 cl-trivial-backtrace,
 cl-trivial-utf-8,
 cl-unicode,
 cl-usocket,
 cl-utilities,
 cl-uuid,
 cl-yason,
 cl-zs3,
 debhelper-compat (= 13),
 gawk,
 help2man,
 libsqlite3-dev,
 postgresql-18-ip4r <!nocheck> | postgresql-ip4r <!nocheck>,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 sbcl (>= 1.1.13),
 tzdata,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/dimitri/pgloader
Vcs-Git: https://salsa.debian.org/postgresql/pgloader.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgloader

Package: pgloader
Architecture: amd64 arm64 ppc64el ppc64
Depends:
 freetds-dev,
 ${misc:Depends},
 ${shlibs:Depends},
 ${sqlite:Depends},
 ${ssl:Depends},
Description: extract, transform and load data into PostgreSQL
 pgloader imports data from different kind of sources and COPY it into
 PostgreSQL.
 .
 The command language is described in the manual page and allows one to
 describe where to find the data source, its format, and to describe data
 processing and transformation.
 .
 Supported source formats include CSV, fixed width flat files, dBase3 files
 (DBF), and SQLite and MySQL databases. In most of those formats, pgloader
 is able to auto-discover the schema and create the tables and the indexes
 in PostgreSQL. In the MySQL case it's possible to edit CASTing rules from
 the pgloader command directly.

=== debian/rules ===
--- 
+++ 
@@ -18,18 +18,12 @@
 DOC_VERSION = $(shell awk '/^release/ { print $$3 }' docs/conf.py | tr -d "'")
 SPECFILE_VERSION = $(shell awk '/^Version/ { print $$2 }' pgloader.spec)
 DEBIAN_VERSION = $(shell dpkg-parsechangelog -SVersion | cut -d- -f 1)
+PGLOADER_MAJOR_VERSION = $(shell awk '/^.defparameter .major-version/ { print $$3 }' src/params.lisp | grep -Eo '[0-9.]+')
+PGLOADER_MINOR_VERSION = $(shell awk '/^.defparameter .minor-version/ { print $$3 }' src/params.lisp | grep -Eo '[0-9.]+')
 
 # buildd provides a build environment where $HOME is not writable, but the
 # CL compilers here will need to fill-in a per-user cache
 export HOME = $(CURDIR)/debian/home
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf debian/home
-	# sanity checks on version number
-	[ "$(MAKEFILE_VERSION)" = "$(DOC_VERSION)" ] # Makefile = docs/conf.py version
-	[ "$(MAKEFILE_VERSION)" = "$(SPECFILE_VERSION)" ] # Makefile = pgloader.spec version
-	[ "$(MAKEFILE_VERSION)" = "$(DEBIAN_VERSION)" ] # Makefile = debian/changelog version
 
 override_dh_auto_build-indep:
 	# do nothing

=== debian/tests/control ===
Depends:
 ca-certificates,
 cl-postmodern,
 pgloader,
 postgresql,
Tests: ssl
Restrictions: allow-stderr, needs-root

Depends:
 pgloader,
 postgresql-18-ip4r | postgresql-ip4r,
Tests: testsuite
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/dimitri/pgloader/tags .*/v(.*).tar.gz
